<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Hacknet](./bitburner.hacknet.md) &gt; [numNodes](./bitburner.hacknet.numnodes.md)

## Hacknet.numNodes() method

Get the number of hacknet nodes you own.

**Signature:**

```typescript
numNodes(): number;
```
**Returns:**

number

Number of hacknet nodes.

## Remarks

RAM cost: 0 GB

Returns the number of Hacknet Nodes you own.

